#ifndef Patcher_H
#define Patcher_H

#include <Update.h>
#include <Thread.h>
#include <Textfeld.h>
#include <Knopf.h>
#include <Thread.h>

using namespace Framework;

class Patcher
{
private:
	HMODULE updateDll;
	UpdaterV *updater;
	bool läuft;
	int ref;

public:
	// Konstruktor
	Patcher();
	// Destruktor
	~Patcher();
	// nicht constant
	bool update( int dateiGruppe, bool *abbruch, FBalken *fortschritt, TextFeld *status, Text *zError );
	// constant
	bool läuftPatch() const;
	int getDownload() const;
	// Reference Counting
	Patcher *getThis();
	Patcher *release();
};

#endif